package Cluedo.API;

/**
 * Is able to be bound to the GameController and listen to messages from it.<br>
 * This implementation is for a terminal/dos-based adapter.
 * @author alex
 */
public class CluedoListener 
			implements CluedoObserver {
	/** A message received from the GameController */
	public void notifyAlert(Message message) {};
	/** A message from a local event handler, this tells the View
	 * what to update or what action to perform. 
	 * 
	 * */
	public void localMessage(Message message) {};
	
	public CluedoListener getCluedoListener() {
		return new CluedoListener();
	}
}
